ObjectReference Property DummyXmarker Auto; You should create a new xmarker
Package Property Donothing Auto; You can make your own Donothing Package
Actor Property PlayerRef Auto

Function PairedMotion(Actor akactorM, Actor akactorF, int angle, int Xaxis, int Yaxis, int MotionType, Bool AcycleM)
 	ActorUtil.AddPackageOverride(akactorM, Donothing, 100, 1)
	akactorM.EvaluatePackage()
	akactorM.SetRestrained()
	akactorM.SetDontMove(True)
	if akactorF == PlayerRef
		Game.DisablePlayerControls(true, true, true, false, true, true, false, false)
		if Game.GetCameraState() == 0
			Game.ForceThirdPerson()
		endIf
	endif
	Utility.Wait(0.5)
	Float AngleZ = akactorF.GetAngleZ()
	Float rMoveX = (Math.sin(AngleZ) * Yaxis) + (Math.cos(AngleZ) * Xaxis)
	Float rMoveY = (Math.cos(AngleZ) * Yaxis) - (Math.sin(AngleZ) * Xaxis)
	
	DummyXmarker.MoveTo(akactorF, rMoveX, rMoveY)
	
	Utility.Wait(0.5)
	akactorM.MoveTo(DummyXmarker)
	akactorM.setangle(0, 0, AngleZ + angle)
	Utility.Wait(0.5)

	if MotionType == 1;Acycle motion
		Debug.sendanimationevent(akactorM, "BaboSpankingM")
		Debug.sendanimationevent(akactorF, "BaboSpankingF")
	elseif MotionType == 2;Cycle motion
		Debug.sendanimationevent(akactorM, "BaboBackHugStartM")
		Debug.sendanimationevent(akactorF, "BaboBackHugStartF")
	elseif MotionType == 3;Cycle motion
		Debug.sendanimationevent(akactorM, "BaboBackHugMolestStartM")
		Debug.sendanimationevent(akactorF, "BaboBackHugMolestStartF")
	endif

	if AcycleM;Male Actor Acycle motion
		akactorM.SetRestrained(False)
		akactorM.SetDontMove(False)
		ActorUtil.RemovePackageOverride(akactorM, Donothing)
	endif

endif
EndFunction